package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.WorkerApply;

/**
 * 师傅申请记录Service接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IWorkerApplyService 
{
    /**
     * 查询师傅申请记录
     * 
     * @param id 师傅申请记录主键
     * @return 师傅申请记录
     */
    public WorkerApply selectWorkerApplyById(Long id);

    /**
     * 查询师傅申请记录列表
     * 
     * @param workerApply 师傅申请记录
     * @return 师傅申请记录集合
     */
    public List<WorkerApply> selectWorkerApplyList(WorkerApply workerApply);

    /**
     * 新增师傅申请记录
     * 
     * @param workerApply 师傅申请记录
     * @return 结果
     */
    public int insertWorkerApply(WorkerApply workerApply);

    /**
     * 修改师傅申请记录
     * 
     * @param workerApply 师傅申请记录
     * @return 结果
     */
    public int updateWorkerApply(WorkerApply workerApply);

    /**
     * 批量删除师傅申请记录
     * 
     * @param ids 需要删除的师傅申请记录主键集合
     * @return 结果
     */
    public int deleteWorkerApplyByIds(Long[] ids);

    /**
     * 删除师傅申请记录信息
     * 
     * @param id 师傅申请记录主键
     * @return 结果
     */
    public int deleteWorkerApplyById(Long id);
}
